QGIS Application - Bug report #19546
QGIS 3 slow on macOS at high resolutions
2018-08-05 01:04 PM - Michal Jurewicz

Status: Feedback

Priority: Normal

Assignee:

Category: mac_os_specific

Affected QGIS version:3.4.2 Regression?: No
Operating System: MacOS High Sierra 10.13.6 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27373
Description

| use QGIS installed via MacPorts. Since QGIS 3.0.0 | noticed that it's very slow and unresponsive. Additionaly all modal windows can't
be resized. However in the same time official binaries works fast but has some other problems (huge and misaligned mouse cursor and
some others).

Today | made some tests with QGIS 3.2.1 and | confirmed that culprint is QT5.10. When | compiled QGIS with QT5.9 it works fast but has
the same problem like official binaries. When recompile it with QT 5.10 it is very slow, size of modal windows are not adjustable but some

other Ul glithces are fixed.

I don't know if it is more about bugs in QT or QGIS but right now there is no option to have good user experince with QGIS 3 on MacOS.

History

#1 - 2018-08-05 04:46 PM - Giovanni Manghi
- Category changed from Unknown to Build/Install

#2 - 2018-08-19 03:38 PM - Michal Jurewicz

Today | installed recent master with QT 5.11.1 and it's even worst. QGIS became extremly slow in every action on canvas, opening new windows and etc.

Addtional mouse cursors are to big (the same problem like with QT 5.9) but modal windows are resizeable again.

#3 - 2018-08-24 10:52 AM - Michal Jurewicz

| have made additional test and now | know everything. It's all about buggy high resolution support in QGIS3. It's not even about Retina multiplier but high

resolution as general. General slowness is proportional to resolution. When display resolution is lower then 1600x1000 then there is no visible lag. Higher
resolution are making QGIS laggy. Higher then 2560x1440 and it's more and more unsuable. Full 5K 5120x2880 is just unusable.

#4 - 2018-08-25 03:22 PM - Giovanni Manghi
- Subject changed from Problems with QGIS 3 and QT 5.10 on MacOS to QGIS 3 slow on macOS at high resolutions
- Category changed from Build/Install to OsX Ul

#5 - 2018-09-05 06:44 PM - Denis Rouzaud

can anyone confirm that this is really mac specific?

is anyone working on windows with resolution screen?

(will ask on the mailing list)
#6 - 2018-09-05 06:44 PM - Denis Rouzaud

- Category changed from OsX Ul to mac_os_specific

#7 - 2018-09-05 07:54 PM - Michal Jurewicz

I may try it on virtual machine but | don't know how to install QGIS on Windows with QT 5.10 or 5.11. Official installation package is with QT5.9. Is there

any documentation how to do it?

#8 - 2018-09-06 11:23 AM - Giovanni Manghi

- Status changed from Open to Feedback

#9 - 2018-10-19 07:54 PM - Denis Rouzaud

I had a discussion with William Kyngesburye who told me that this should be fixed in Qt 5.12.

Let's see what comes out with QGIS 3.4 next week.

#10 - 2018-10-25 01:54 AM - William Kyngesburye

I finally got Qt 5.11 installed, built QGIS 3.2.3 with that. Tested on a retina Mac with no slow issue. Though that was on macOS Sierra, | haven't upgraded

High Sierra, yet. I'll package up an installer so others can test.

#11 - 2018-10-25 03:13 AM - William Kyngesburye

Here is an installer for QGIS 3.2.3 built with Qt 5.11.1.

http://www.kyngchaos.com/files/software/qgis/QGIS-mac0S-3.2.3-1-gt511.dmg

#12 - 2018-11-13 09:38 AM - Michal Jurewicz

| tried 3.4.1 on High Sierra and Mojave and there is still the same problem with some lag. It feels just a little better but | need to make some test with bigger

projects.

#13 - 2018-12-12 11:43 AM - Michal Jurewicz

Just for your information, QGIS 3.4.2 (QT 5.11.2) is still very unresponsive. Below some screen records with small project. Just panning and zooming the
map and closing the project. As you can see it's very slow. | use iMac Pro - it's Retina 5K resolution.

https://www.dropbox.com/s/i4ebzmici5qgfmrz/Nagranie%20z%20ekranu%202018-12-12%200%2009.12.05.mov ?dI=0
https://www.dropbox.com/s/pjyOyr8cir1eb2t/Nagranie%20z%20ekranu%202018-12-12%200%2009.16.20.mov?dI=0

| hope that QT 5.12 is going to fix it.

#14 - 2018-12-13 08:02 AM - Michal Jurewicz

| have tried QGIS 3.4.2 built and run with QT5.12 and it's more less the same or even slightly worse.
http://www.kyngchaos.com/files/software/qgis/QGIS-macOS-3.2.3-1-qt511.dmg
https://www.dropbox.com/s/i4ebzmlci5qfmrz/Nagranie%20z%20ekranu%202018-12-12%20o%2009.12.05.mov?dl=0
https://www.dropbox.com/s/pjy0yr8cjr1eb2t/Nagranie%20z%20ekranu%202018-12-12%20o%2009.16.20.mov?dl=0

#15 - 2018-12-13 08:11 PM - Giovanni Manghi
- Affected QGIS version changed from 3.2.1 to 3.4.2

#16 - 2019-03-09 10:33 AM - Giovanni Manghi

Is this still the case? also on this installers https://lutraconsulting.github.io/ggis-mac-packager/ ?

#17 - 2019-03-11 12:17 AM - Dominik Schneider

Giovanni Manghi wrote:

Is this still the case? also on this installers https.//lutraconsulting.github.io/qgis-mac-packager/ ?

Yes! | came here looking if this issue was known. I'm on macOS 10.14.3 and if you open a file chooser dialog window there is a massive lag on the official

kyngchaos qgis version 3.6

QGIS version

3.6.0-Noosa

QGIS code branch

Release 3.6

Compiled against Qt

5.11.2

Running against Qt

5.11.2

Compiled against GDAL/OGR
240

Running against GDAL/OGR
2.4.0

Compiled against GEOS
3.7.1-CAPI-1.11.0

Running against GEOS
3.7.1-CAPI-1.11.1 27a5e771
PostgreSQL Client Version
9.6.10

SpatiaLite Version
4.4.0-RCH

QWT Version

6.1.3

QScintilla2 Version

2.10.8

Compiled against PROJ
520

Running against PROJ
5.2.0

Luckily, | tried the lutraconsulting version and it appears to behave normal for me.
QGIS version
3.6.0-Noosa

QGIS code revision
58734527ab
https://lutraconsulting.github.io/qgis-mac-packager/
https://lutraconsulting.github.io/qgis-mac-packager/

Compiled against Qt

5.12.0

Running against Qt

5.12.0

Compiled against GDAL/OGR
24.0

Running against GDAL/OGR
24.0

Compiled against GEOS
3.7.1-CAPI-1.11.1

Running against GEOS
3.7.1-CAPI-1.11.1 27a5e771
PostgreSQL Client Version
111

SpatiaLite Version

4.3.0a

QWT Version

6.1.3

QScintilla2 Version

2.104

Compiled against PROJ
520

Running against PROJ
5.2.0
